/* eslint valid-jsdoc: "off" */

'use strict';

/**
 * @param {Egg.EggAppInfo} appInfo app info
 */
module.exports = appInfo => {
  /**
   * built-in config
   * @type {Egg.EggAppConfig}
   **/
  const config = (exports = {});

  // use for cookie sign key, should change to your own and keep security
  config.keys = appInfo.name + '_1665737297528_5907';

  // add your middleware config here
  config.middleware = [];

  // add your user config here
  const userConfig = {
    // myAppName: 'egg',
  };
  // 进程设置
  config.cluster = {
    listen: {
      port: 14003,
    },
  };
  // 项目配置
  config.appConfig = {
    free: {
      accessKeyId: 'LTAI5tRTS3rXJTgf2Fqp8tGg',
      accessKeySecret: 'g6DkQvBA4R7e9BEkPlQLhz683pq1SP',
      template: {
        bind: {
          signName: '长春市福瑞科技有限公司',
          templateCode: 'SMS_254730020',
        },
      },
    },
    tehq: {
      accessKeyId: 'LTAI5tRrgdb7WsECfBEenGSr',
      accessKeySecret: 'gbxMvKX1urb0y0m39nV2NYaf3pmXSU',
      template: {
        bind: {
          signName: '天恩活泉',
          templateCode: 'SMS_254670650',
        },
        login: {
          signName: '天恩活泉',
          templateCode: 'SMS_254680639',
        },
      },
    },
  };
  // 路由设置
  config.routePrefix = '/sms/api';

  return {
    ...config,
    ...userConfig,
  };
};
